Bug 1190666 - (CVE-2021-39275) VUL-0: CVE-2021-39275: apache2: httpd: out-of-bounds write in ap_escape_quotes() via malicious input
(CVE-2021-39275)
VUL-0: CVE-2021-39275: apache2: httpd: out-of-bounds write in ap_escape_quote...
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/310289/
CVSSv3.1:SUSE:CVE-2021-39275:7.5:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-09-20 10:10 UTC by Gabriele Sonnu
Modified: 2022-01-05 12:35 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriele Sonnu 2021-09-20 10:10:12 UTC
ap_escape_quotes() may write beyond the end of a buffer when given malicious input. No included modules pass untrusted data to these functions, but third-party / external modules may. This issue affects Apache HTTP Server 2.4.48 and earlier.

Reference:
https://httpd.apache.org/security/vulnerabilities_24.html

References:
https://bugzilla.redhat.com/show_bug.cgi?id=2005119
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-39275
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-39275
https://httpd.apache.org/security/vulnerabilities_24.html
Comment 1 Gabriele Sonnu 2021-09-20 10:22:40 UTC
Affected packages:

 - SUSE:SLE-11-SP1:Update/apache2  2.2.34
 - SUSE:SLE-12-SP2:Update/apache2  2.4.23
 - SUSE:SLE-15-SP2:Update/apache2  2.4.43
 - SUSE:SLE-15:Update/apache2      2.4.33
 - openSUSE:Factory/apache2        2.4.48

Upstream released a new version (2.4.49) to fix the issue. Is not clear from the repository history exactly which commits contain the fix.
I extracted a list of related commits, but I may have missed something. Please analyze the new version in order to create the patches.

[0] https://github.com/apache/httpd/commit/d8bce6f575abb29997bba358b31842bf757776c6 
[1] https://github.com/apache/httpd/commit/e0fec7d48dab1924c5a6b48819ce1cf420733f62
[2] https://github.com/apache/httpd/commit/8f09caf9945f3c80563bc4a776b04fbba239ca71
Comment 3 Petr Gajdos 2021-09-22 11:16:48 UTC
Will submit for: 15sp2,15,12sp2,11sp1/apache2
Comment 4 Petr Gajdos 2021-09-22 12:08:08 UTC
Packages submitted.

I believe all fixed.
Comment 7 Swamp Workflow Management 2021-09-27 19:20:53 UTC
SUSE-SU-2021:14811-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1190666
CVE References: CVE-2021-39275
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    apache2-2.2.34-70.38.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    apache2-2.2.34-70.38.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    apache2-2.2.34-70.38.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    apache2-2.2.34-70.38.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2021-10-06 19:36:21 UTC
SUSE-SU-2021:3299-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1190666,1190669,1190703
CVE References: CVE-2021-34798,CVE-2021-39275,CVE-2021-40438
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    apache2-2.4.23-29.80.1
SUSE OpenStack Cloud Crowbar 8 (src):    apache2-2.4.23-29.80.1
SUSE OpenStack Cloud 9 (src):    apache2-2.4.23-29.80.1
SUSE OpenStack Cloud 8 (src):    apache2-2.4.23-29.80.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    apache2-2.4.23-29.80.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    apache2-2.4.23-29.80.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    apache2-2.4.23-29.80.1
SUSE Linux Enterprise Server 12-SP5 (src):    apache2-2.4.23-29.80.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    apache2-2.4.23-29.80.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    apache2-2.4.23-29.80.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    apache2-2.4.23-29.80.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    apache2-2.4.23-29.80.1
HPE Helion Openstack 8 (src):    apache2-2.4.23-29.80.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2021-10-12 10:17:16 UTC
SUSE-SU-2021:3335-1: An update that fixes 5 vulnerabilities is now available.

Category: security (important)
Bug References: 1189387,1190666,1190669,1190702,1190703
CVE References: CVE-2021-33193,CVE-2021-34798,CVE-2021-36160,CVE-2021-39275,CVE-2021-40438
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    apache2-2.4.33-3.55.1
SUSE Linux Enterprise Server for SAP 15 (src):    apache2-2.4.33-3.55.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    apache2-2.4.33-3.55.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    apache2-2.4.33-3.55.1
SUSE Linux Enterprise Server 15-LTSS (src):    apache2-2.4.33-3.55.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    apache2-2.4.33-3.55.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    apache2-2.4.33-3.55.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    apache2-2.4.33-3.55.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    apache2-2.4.33-3.55.1
SUSE Enterprise Storage 6 (src):    apache2-2.4.33-3.55.1
SUSE CaaS Platform 4.0 (src):    apache2-2.4.33-3.55.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Swamp Workflow Management 2021-10-26 19:17:31 UTC
SUSE-SU-2021:3522-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1190666,1190669,1190702,1190703
CVE References: CVE-2021-34798,CVE-2021-36160,CVE-2021-39275,CVE-2021-40438
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP3 (src):    apache2-2.4.43-3.32.1
SUSE Linux Enterprise Module for Server Applications 15-SP2 (src):    apache2-2.4.43-3.32.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    apache2-2.4.43-3.32.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    apache2-2.4.43-3.32.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    apache2-2.4.43-3.32.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2021-10-26 19:20:27 UTC
openSUSE-SU-2021:3522-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1190666,1190669,1190702,1190703
CVE References: CVE-2021-34798,CVE-2021-36160,CVE-2021-39275,CVE-2021-40438
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    apache2-2.4.43-3.32.1
Comment 13 Swamp Workflow Management 2021-11-02 17:29:10 UTC
openSUSE-SU-2021:1438-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1190666,1190669,1190702,1190703
CVE References: CVE-2021-34798,CVE-2021-36160,CVE-2021-39275,CVE-2021-40438
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    apache2-2.4.43-lp152.2.21.1